<!ELEMENT cscpage (biglogo*, section*, header*, footer*)>
<!ATTLIST cscpage
  title CDATA #REQUIRED>

<!ELEMENT biglogo EMPTY>
<!ELEMENT section (#PCDATA)>
<!ATTLIST section
  title CDATA #REQUIRED>
<!ELEMENT header EMPTY>
<!ELEMENT footer EMPTY>

<!ELEMENT news-and-events EMPTY>
<!ELEMENT news EMPTY>
<!ELEMENT events EMPTY>
<!ELEMENT events-this-term EMPTY>
<!ELEMENT generate-event-files EMPTY>

<!ELEMENT newsdefs (newsitem*)>
<!ELEMENT newsitem (#PCDATA)>
<!ATTLIST newsitem
  date CDATA #REQUIRED
  author CDATA #REQUIRED>
<!ELEMENT eventdefs (eventitem*)>
<!ELEMENT eventitem (short)>
<!ATTLIST eventitem
  date CDATA #REQUIRED
  time CDATA #REQUIRED
  room CDATA #REQUIRED
  title CDATA #REQUIRED>
<!ELEMENT short (#PCDATA)>

<!ELEMENT memberlist (member*)>
<!ELEMENT member EMPTY>
<!ATTLIST member
  id CDATA #REQUIRED
  name CDATA #REQUIRED
  program CDATA #REQUIRED>

<!ELEMENT members-this-term EMPTY>

<!ELEMENT directory (diritem*)>
<!ATTLIST directory
  href CDATA ""
  title CDATA #REQUIRED>
<!ELEMENT diritem EMPTY>
<!ATTLIST diritem
  title CDATA #REQUIRED
  href CDATA #REQUIRED>

<!ELEMENT execlist (exec*)>
<!ELEMENT exec EMPTY>
<!ATTLIST exec
  position CDATA #REQUIRED
  type CDATA "elected"
  name CDATA #REQUIRED
  userid CDATA #REQUIRED>

